Package org.apache.tomcat.util.net

## Class AprEndpoint.Poller

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.Poller

All Implemented Interfaces:
  `java.lang.Runnable`

Enclosing class:
  AprEndpoint

    public class AprEndpoint.Poller
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
`Poller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `destroy()` Destroy the poller.
`int` `getConnectionCount()`
`protected void` `init()` Create the poller.
`void` `run()` The background thread that adds sockets to the Poller, checks the poller for triggered events and hands the associated socket off to an appropriate processor as events occur.
`protected void` `start()`
`protected void` `stop()`
`java.lang.String` `toString()` Displays the list of sockets in the pollers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Poller

    public Poller()

### Method Detail

#### getConnectionCount

    public int getConnectionCount()

#### init

    protected void init()

Create the poller.

#### start

    protected void start()

#### stop

    protected void stop()

#### destroy

    protected void destroy()

Destroy the poller.

#### toString

    public java.lang.String toString()

Displays the list of sockets in the pollers.

Overrides:
  `toString` in class `java.lang.Object`

#### run

    public void run()

The background thread that adds sockets to the Poller, checks the poller for triggered events and hands the associated socket off to an appropriate processor as events occur.

Specified by:
  `run` in interface `java.lang.Runnable`